
Katello - Bug #4974

When not selecting puppet master, setting rhsm repo_url is not correct

03/31/2014 03:47 PM - Ivan Necas

Status: Closed   

Priority: Normal   

Assignee: Ivan Necas   

Category: Hosts   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

1. provisiong a host usint Katello Kickstart without selecting puppet master

2. see the preview of provisioning template for the host

It contains

subscription-manager config --rhsm.baseurl=https:///pulp/repos

 These lines should not be there. The template for subscription_manager_registration should have something like this to handle that

properly:

<% @host.puppetmaster && !@host.puppetmaster.empty? %>

  subscription-manager config --rhsm.baseurl=https://<%= @host.puppetmaster %>/pulp/repos

<% end %>

Associated revisions

Revision dab27c47 - 04/04/2014 11:10 AM - Ivan Necas

Fixes #4974 - make sure puppetmaster is set when updating the repo url

Revision 6ae22d84 - 04/07/2014 03:00 PM - Ivan Necas

Merge pull request #3945 from iNecas/fix-non-puppet-provisioning

Fixes #4974 - make sure puppetmaster is set when updating the repo url

History

#1 - 03/31/2014 03:48 PM - Ivan Necas

- Category set to 83

#2 - 04/04/2014 11:09 AM - Ivan Necas

- Status changed from New to Assigned

#3 - 04/04/2014 11:11 AM - Ivan Necas

- Status changed from Assigned to Ready For Testing

https://github.com/Katello/katello/pull/3945

#4 - 04/07/2014 02:45 PM - Ivan Necas

- Assignee set to Ivan Necas

#5 - 04/07/2014 03:52 PM - Ivan Necas

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100
https://github.com/Katello/katello/pull/3945


Applied in changeset katello|commit:dab27c47ac8981f1634f1d9eaf7e9299f10ab0cf.

#6 - 06/06/2014 01:34 PM - Eric Helms

- Triaged changed from No to Yes

#7 - 08/21/2014 02:39 PM - Eric Helms

- translation missing: en.field_release set to 13
